> ## Documentation Index
> Fetch the complete documentation index at: https://developers.luccasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger a test delivery

> Triggers a test delivery to in order to test it out a webhook-endpoint.

<Warning>This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. [Read more about versioning](/documentation/using-api/versioning).</Warning>

You may refer to this [example of a test event](/api-reference/latest/events/test-event)

<Accordion title="Access" icon="key">
  **OAuth 2.0 scopes**

  ```
   webhook-deliveries.readwrite
  ```
</Accordion>


## OpenAPI

````yaml /openapi-specs/lucca-api@2024-11-01.json post /lucca-api/webhook-deliveries
openapi: 3.1.0
info:
  title: Lucca API reference
  version: '2024-11-01'
  description: Please refer to developers.luccasoftware.com.
  contact:
    name: API Support
    url: https://www.luccasoftware.com
    email: no-reply@luccasoftware.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://{host}
    description: Your Lucca account URL.
    variables:
      host:
        default: example.ilucca.net
        description: >-
          The URL of your dedicated Lucca account: `{account}.{env}.{region}`.


          Account reflects your company name. Env indicates the environment.
          Region depends on your server location.


          **Please, use your test or sandbox environments (and not your
          production env.) for testing purposes.**


          Environments:

          - `ilucca`: production environment for customers.

          - `ilucca-test`: test environment for customers.

          - `ilucca-demo`: demo environment for prospects.


          Regions:

          - `.ch` for Swiss located accounts.

          - `.net` for the others.


          Regarding sandboxes, the pattern differs:
          `https://{account}-{sandboxName}.sandbox.{server}.luccasoftware.com`,
          where:

          - `{sandboxName}` is automatically generated upon creation.

          - `{server}` may be "eu1", "eu2" or "ch1".
security: []
tags:
  - name: organization
    description: Organization.
  - name: employees
    description: Employees.
  - name: employments
    description: Employments & job-positions.
  - name: employee-occupation-categories
    description: Employee occupations categories.
  - name: employee-job-qualifications
    description: Job qualifications & professions.
  - name: employee-attributes
    description: Employee-Attributes.
  - name: taxonomies
    description: Taxonomies & taxonomy-labels.
  - name: webhooks
    description: Webhooks.
  - name: working-time-arrangements
    description: working-time-arrangements
  - name: files
    description: Files management.
paths:
  /lucca-api/webhook-deliveries:
    parameters:
      - $ref: '#/components/parameters/api-version'
      - $ref: '#/components/parameters/if-none-match'
      - $ref: '#/components/parameters/if-match'
      - $ref: '#/components/parameters/accept-encoding'
      - $ref: '#/components/parameters/include'
    post:
      tags:
        - webhooks
      summary: Trigger a test delivery
      description: Triggers a test delivery to in order to test it out a webhook-endpoint.
      operationId: post-webhook-deliveries
      requestBody:
        description: The webhook-endpoint to test.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/webhook-delivery.create'
            examples:
              delivery:
                $ref: '#/components/examples/webhook-delivery.post.example'
      responses:
        '202':
          description: Accepted
          headers:
            Api-Version:
              $ref: '#/components/headers/api-version'
            Content-Encoding:
              $ref: '#/components/headers/content-encoding'
            Location:
              $ref: '#/components/headers/location'
            ETag:
              $ref: '#/components/headers/eTag'
            Deprecation:
              $ref: '#/components/headers/deprecation'
            Sunset:
              $ref: '#/components/headers/sunset'
          content:
            application/json:
              schema:
                unevaluatedProperties: false
                allOf:
                  - $ref: '#/components/schemas/webhook-delivery.read'
                  - description: The created webhook-delivery resource.
              examples:
                delivery:
                  $ref: '#/components/examples/webhook-delivery.get.example'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        default:
          $ref: '#/components/responses/500'
      security:
        - oAuth:
            - webhook-deliveries.readwrite
components:
  parameters:
    api-version:
      name: Api-Version
      in: header
      description: Set the [API version](/documentation/using-api/versioning).
      schema:
        type: string
        format: date
        const: '2024-11-01'
        enum:
          - '2024-11-01'
        maxLength: 10
        examples:
          - '2024-11-01'
      required: true
    if-none-match:
      name: If-None-Match
      in: header
      description: >-
        Only execute the request if current cached version of the resource does
        not match the one given here.
      schema:
        type: string
        examples:
          - W/q5sd4w2x1c1gfdg
      required: false
    if-match:
      name: If-Match
      in: header
      description: >-
        Only execute the request if current cached version of the resource
        matches the one given here. Useful to avoid concurrency conflicts.
      schema:
        type: string
        examples:
          - W/q5sd4w2x1c1gfdg
      required: false
    accept-encoding:
      name: Accept-Encoding
      description: List of compression algorithms you support.
      in: header
      schema:
        type: string
      examples:
        unWeighted:
          value: gzip, compress, br
        weighted:
          value: gzip;q=1.0, identity; q=0.5, *;q=0
    include:
      description: >-
        Include metadata:
          - `embedded`: the partial or complete representations of related resources 
            (e.g. the employee the resource belongs to).
          - `links`: links to related resources or actions (e.g. approving a leave-request).
            May be `null` when you do not have access to the resource (or action).
          - `totalCount`: only applicable on collections (i.e. lists of resources), gives
            the total number of items across all pages.

        Read more about [expanding
        responses](/documentation/using-api/includes).
      name: include
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - embedded
            - links
            - totalCount
          x-enumDescriptions:
            embedded: >-
              Partial or complete representations of related resources (e.g. the
              employee the resource belongs to).
            links: >-
              Link resources to related resources or actions (e.g. approving a
              leave-request).

              May be `null` when you do not have access to the resource (or
              action).
            totalCount: >-
              Is only applicable on collections (i.e. lists of resources), gives
              the total number of items across all pages.
  schemas:
    webhook-delivery.create:
      allOf:
        - $ref: '#/components/schemas/webhook-delivery.update'
        - required:
            - webhookEndpoint
    webhook-delivery.read:
      allOf:
        - $ref: '#/components/schemas/webhook-delivery'
        - $ref: '#/components/schemas/webhook-delivery.embedded'
    webhook-delivery.update:
      allOf:
        - $ref: '#/components/schemas/webhook-delivery'
        - type: object
          properties:
            id:
              readOnly: true
            type:
              readOnly: true
            url:
              readOnly: true
            nextAttemptAt:
              readOnly: true
            attemptsCount:
              readOnly: true
            status:
              readOnly: true
            event:
              readOnly: true
            links:
              readOnly: true
    webhook-delivery:
      title: webhook-delivery
      x-tags:
        - Webhooks
      description: >-
        A webhook-delivery is the object that represents the job to send an
        event to a [webhook-endpoint](./webhook-endpoint). It will lead to one
        or more [webhook-delivery-attempt](./webhook-delivery-attempt).
      type: object
      properties:
        id:
          type: string
          description: Uniquely identifies the webhook-delivery.
        type:
          type: string
          const: webhook-delivery
        url:
          type: string
          format: uri
        nextAttemptAt:
          description: Timestamp of the next planned webhook-delivery-attempt (UTC).
          type: string
          format: date-time
        attemptsCount:
          description: Number of times this event has been attempted to be delivered.
          type: integer
          format: int32
          minimum: 0
          examples:
            - 2
        status:
          description: Indicates whether the event has been delivered or not.
          type: string
          enum:
            - delivered
            - undelivered
            - failed
          x-enumDescriptions:
            delivered: Webhook-delivery was successful.
            undelivered: |-
              Webhook-delivery failed but a new
              webhook-delivery-attempt is scheduled.
            failed: |-
              Webhook-delivery failed and no new
              webhook-delivery-attempt will be made.
        event:
          $ref: '#/components/schemas/event-reference'
        webhookEndpoint:
          $ref: '#/components/schemas/webhook-endpoint-reference'
        links:
          type:
            - object
            - 'null'
          additionalProperties: false
          properties:
            attempts:
              type: object
              properties:
                href:
                  type: string
                  format: uri
      example:
        id: 78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
        type: webhook-delivery
        url: >-
          https://example.ilucca.net/lucca-api/webhook-deliveries/78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
        nextAttemptAt: '2023-08-29T09:12:33.001Z'
        attemptsCount: 2
        status: delivered
        event:
          id: '2455623'
          type: event
          url: https://example.ilucca.net/lucca-api/events/2455623
        webhookEndpoint:
          id: '12'
          type: webhook-endpoint
          url: https://example.ilucca.net/lucca-api/webhook-endpoints/12
        links:
          attempts:
            href: >-
              https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
    webhook-delivery.embedded:
      type: object
      properties:
        embedded:
          description: >-
            Embeds the representation of resources related to the
            webhook-delivery(ies).


            Only returned if requested by the API client: `?include=embedded`.
          type:
            - object
            - 'null'
          properties:
            event:
              description: >-
                Webhook-event(s) that are the payload for these deliveries (cf.
                `webhookDeliveryAttempt.webhookDelivery.event`).


                Structured as a dictionary of
                [(webhook-)events](../events/event) indexed by their ID.
              type:
                - object
                - 'null'
              additionalProperties:
                $ref: '#/components/schemas/event'
    problem:
      title: Problem
      description: >-
        Represents a "problem detail" as a way to carry machine-readable details
        of errors in a HTTP response.
      type: object
      additionalProperties: true
      properties:
        type:
          type:
            - string
            - 'null'
          description: >-
            Identifies the problem type. Points to a page containing a
            human-readable documentation for the problem type.
          example: https://tools.ietf.org/html/rfc7231#section-6.5.1
        title:
          type:
            - string
            - 'null'
          description: 'A short, summary of the problem type (e.g.: Service Unavailable)'
          example: Bad Request
        status:
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          type:
            - integer
            - 'null'
          format: int32
          minimum: 100
          maximum: 599
          example: 400
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type:
            - string
            - 'null'
          example: One or more validation errors occurred.
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          example:
            startsOn:
              - 'Invalid period: startsOn should be before endsOn.'
      example:
        type: https://tools.ietf.org/html/rfc7231#section-6.5.1
        title: Bad Request
        details: One or more validation errors occurred.
        status: 400
        errors:
          startsOn:
            - 'Invalid period: startsOn should be before endsOn.'
    event-reference:
      title: event-reference
      description: Reference to an [(webhook-)event](../events/event) resource.
      type: object
      additionalProperties: false
      required:
        - id
      properties:
        id:
          type: string
        type:
          type: string
          const: event
          readOnly: true
        url:
          type: string
          format: uri
          readOnly: true
      examples:
        - id: '2455623'
          type: employee.created
          url: https://example.ilucca.net/lucca-api/events/2455623
    webhook-endpoint-reference:
      title: webhook-endpoint-reference
      description: >-
        Reference to a [webhook-endpoint](../webhooks/webhook-endpoint)
        resource.
      type: object
      additionalProperties: false
      required:
        - id
      properties:
        id:
          type: string
          minLength: 1
        type:
          type: string
          const: webhook-endpoint
          readOnly: true
        url:
          type: string
          format: uri
          readOnly: true
    event:
      title: event
      description: Represents a change made to the state of a resource.
      x-tags:
        - Events
      type: object
      properties:
        id:
          type: string
          description: Unique string identifier of this event.
        type:
          type: string
          const: event
        url:
          type: string
          format: uri
          description: Absolute URL for the event resource.
        apiVersion:
          type: string
          format: date
          description: >-
            API version of the resource representation contained in data. Not to
            be confused with the API version of the representation of this
            present event, which is indicated in the `Api-Version` HTTP header.
        topic:
          allOf:
            - $ref: '#/components/schemas/event.topic'
            - description: >-
                Indicates which type of event occurred. Usually concatenates the
                name of the object type with the kind of change ("created",
                "updated" or "deleted").
              examples:
                - employee.created
        occurredAt:
          type: string
          format: date-time
          description: Timezoned timestamp of the moment when this event occurred.
        source:
          type: string
          format: uri
          description: URL of the tenant. Ensures unicity of {source} + {id}.
        data:
          type: object
          description: >-
            Representation of the resource whose change triggered the event.
            Please note that this is the representation of the resource just
            after the change, and it may have changed again since then.
          additionalProperties: true
        businessEstablishment:
          description: >-
            Business Establishment of the Resource in the Event, if there is
            one.
          anyOf:
            - $ref: '#/components/schemas/business-establishment-reference'
            - type: 'null'
        previousAttributes:
          description: >-
            Only sent on `*.updated` event topics. Keys are the list of modified
            attributes. Values are the values of these attributes before the
            change.


            This is only available for some resources. If a value in the
            dictionary is NULL, then it can either mean that the original value
            was NULL or that we can't retrieve them for this Resource.
          type: object
          additionalProperties: true
        links:
          type: object
          additionalProperties: false
          properties:
            retry:
              type: object
              properties:
                href:
                  type: string
                  format: uri
      example:
        id: '123'
        type: event
        url: https://example.ilucca.net/lucca-api/events/123
        apiVersion: '2024-01-01'
        topic: employee.updated
        occurredAt: '2024-02-01T09:34:23.001Z'
        source: https://example.ilucca.net
        businessEstablishment:
          id: '12'
          type: business-establishment
          url: https://example.ilucca.net/lucca-api/business-establishments/12
        data:
          id: '416'
          type: employee
          url: https://example.ilucca.net/lucca-api/employees/416
          remoteId: '00002345'
          portrait:
            id: '66512232'
            type: portrait
            url: https://example.ilucca.net/lucca-api/portraits/66512232
          givenName: Edward
          familyName: Atkinson
          employeeNumber: E000124
          status: active
          email: eatkinson@acme.corp
          birthDay:
            day: 22
            month: 12
          phoneNumber: '+33145784512'
          applicableEmployment:
            id: '154'
            type: employment
            url: https://example.ilucca.net/lucca-api/employments/154
          applicableJobPosition:
            id: '74'
            type: job-position
            url: https://example.ilucca.net/lucca-api/job-positions/74
          createdAt: '2024-04-15T23:12:54.0001Z'
          lastUpdatedAt: '2024-04-15T23:12:54.0001Z'
        previousAttributes:
          givenName: Ed
        links:
          retry:
            href: https://example.ilucca.net/lucca-api/webhook-deliveries
    event.topic:
      description: List of topics
      oneOf:
        - type: string
          title: test.created
          const: test.created
        - type: string
          title: employee.created
          const: employee.created
        - type: string
          title: employee.updated
          const: employee.updated
        - type: string
          title: employee.deleted
          const: employee.deleted
        - type: string
          title: employment.created
          const: employment.created
        - type: string
          title: employment.updated
          const: employment.updated
        - type: string
          title: employment.deleted
          const: employment.deleted
        - type: string
          title: job-position.created
          const: job-position.created
        - type: string
          title: job-position.updated
          const: job-position.updated
        - type: string
          title: job-position.deleted
          const: job-position.deleted
        - type: string
          title: employee-attribute.created
          const: employee-attribute.created
        - type: string
          title: employee-attribute.updated
          const: employee-attribute.updated
        - type: string
          title: employee-attribute.deleted
          const: employee-attribute.deleted
    business-establishment-reference:
      title: business-establishment-reference
      description: >-
        Reference to a
        [business-establishment](../organization/business-establishment)
        resource.
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          minLength: 1
        type:
          type: string
          const: business-establishment
        url:
          type: string
          format: uri
  examples:
    webhook-delivery.post.example:
      summary: webhook-delivery POST example
      description: webhook-delivery POST example
      value:
        webhookEndpoint:
          id: '12'
    webhook-delivery.get.example:
      summary: webhook-delivery GET example
      description: webhook-delivery GET example
      value:
        id: 78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
        type: webhook-delivery
        url: >-
          https://example.ilucca.net/lucca-api/webhook-deliveries/78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
        nextAttemptAt: '2023-08-29T09:12:33.001Z'
        attemptsCount: 2
        status: delivered
        event:
          id: '2455623'
          type: event
          url: https://example.ilucca.net/lucca-api/events/2455623
        webhookEndpoint:
          id: '12'
          type: webhook-endpoint
          url: https://example.ilucca.net/lucca-api/webhook-endpoints/12
        links:
          attempts:
            href: >-
              https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=78fa5d8c-3436-49aa-82cc-ab1a64c48ed9
        embedded: {}
  headers:
    api-version:
      description: Name (date of release) of the API version.
      schema:
        type: string
        const: '2024-11-01'
        examples:
          - '2024-11-01'
        maxLength: 10
      required: true
    content-encoding:
      description: >-
        HTTP representation header that lists the encodings and the order in
        which they have been applied to the representation of the resource.
      required: false
      schema:
        type: array
        uniqueItems: true
        items:
          type: string
          enum:
            - gzip
            - compress
            - deflate
            - br
      examples:
        gzip:
          value:
            - gzip
    location:
      schema:
        type: string
        format: uri
      description: >-
        URL to the resource. Most often, the created resource from a POST
        request made to a collection path, e.g. `POST /lucca-api/employees`.
    eTag:
      description: Identifies the cached version of the resource.
      schema:
        type: string
        examples:
          - W/q5sd4w2x1c1gfdg
    deprecation:
      description: |
        Signals the resource has been deprecated.
      schema:
        type: string
        format: date
        maxLength: 10
        examples:
          - '2024-01-01'
    sunset:
      description: >
        The **Sunset** response header (see [RFC
        8594](https://datatracker.ietf.org/doc/html/rfc8594)) indicates the
        point in time at which this endpoint or resource will become
        unavailable. The sunset value is a timestamp [RFC 9110 Section
        5.6.7][rfc-9110-5.6.7] that usually points to the future. If a sunset
        value points to the past, then the endpooint or  resource must be
        expected to become unavailable at any time.

        As an API client, you should monitor the presence and value of all
        **Sunset** headers  and be ready to take counter measures.
      schema:
        type: string
        format: date-time
        examples:
          - '2026-01-01T00:00:00Z'
  responses:
    '401':
      description: You are not authenticated. Please refresh your token.
      headers:
        Api-Version:
          $ref: '#/components/headers/api-version'
        Deprecation:
          $ref: '#/components/headers/deprecation'
        Sunset:
          $ref: '#/components/headers/sunset'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/problem'
          example:
            type: https://datatracker.ietf.org/doc/html/rfc7235#section-3.1
            title: Unauthorized
            status: 401
            instance: https://example.ilucca.net/lucca-api/employees/1573
    '403':
      description: You do not have the required oAuth scopes.
      headers:
        Api-Version:
          $ref: '#/components/headers/api-version'
        Deprecation:
          $ref: '#/components/headers/deprecation'
        Sunset:
          $ref: '#/components/headers/sunset'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/problem'
          example:
            type: https://datatracker.ietf.org/doc/html/rfc7235#section-3.1
            title: Unauthorized
            status: 403
            instance: https://example.ilucca.net/lucca-api/employees/1573
    '500':
      description: Internal server error.
      headers:
        Api-Version:
          $ref: '#/components/headers/api-version'
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/problem'
          example:
            type: https://tools.ietf.org/html/rfc7231#section-6.5.4
            title: Internal Server Error
            status: 500
            instance: https://example.ilucca.net/lucca-api/employees/1573
  securitySchemes:
    oAuth:
      type: oauth2
      description: >-
        The Lucca API implements the [oAuth 2](https://oauth.net/2/) protocol
        with the
        [client-credentials-flow](https://auth0.com/docs/get-started/authentication-and-authorization-flow/client-credentials-flow).
        Refer to RFC8725.
      flows:
        clientCredentials:
          tokenUrl: https://accounts.world.luccasoftware.com/connect/token
          scopes:
            legal-entities.readonly: >-
              Read
              [legal-entities](/api-reference/latest/organization/legal-entity).
            legal-entities.readwrite: >-
              Create, update or delete
              [legal-entities](/api-reference/latest/organization/legal-entity).
            business-establishments.readonly: >-
              Read
              [business-establishments](/api-reference/latest/organization/business-establishment).
            business-establishments.readwrite: >-
              Create, update or delete
              [business-establishments](/api-reference/latest/organization/business-establishment).
            departments.readonly: Read [departments](/api-reference/latest/organization/department).
            departments.readwrite: >-
              Create, update or delete
              [departments](/api-reference/latest/organization/department).
            employees.readonly: Read [employees](/api-reference/latest/employees/employee).
            employees.readwrite: >-
              Create or update
              [employees](/api-reference/latest/employees/employee).
            employee-attribute-definitions.readonly: >-
              Read
              [employee-attribute-definitions](/api-reference/latest/employee-attributes/employee-attribute-definition).
            employee-attribute-definitions.readwrite: >-
              Create, update or delete
              [employee-attribute-definitions](/api-reference/latest/employee-attributes/employee-attribute-definition).
            employee-attributes.readonly: >-
              Read
              [employee-attributes](/api-reference/latest/employee-attributes/employee-attribute).
            employee-attributes.readwrite: >-
              Create, update or delete
              [employee-attributes](/api-reference/latest/employee-attributes/employee-attribute).
            employee-personal-records.readonly: >-
              Read
              [employee-personal-records](/api-reference/latest/employees/employee-personal-records).

              This contains highly sensitive data about the personal detail of
              the person.
            employee-personal-records.readwrite: >-
              Create, update or delete
              [employee-personal-records](/api-reference/latest/employees/employee-personal-records).

              This contains highly sensitive data about the personal detail of
              the person.
            employments.readonly: Read [employments](/api-reference/latest/employments/employment).
            employments.readwrite: >-
              Create, update or delete
              [employments](/api-reference/latest/employments/employment).
            employment-templates.readonly: >-
              Read
              [employment-templates](/api-reference/latest/employments/employment-template).
            employment-templates.readwrite: >-
              Create, update or archive
              [employment-templates](/api-reference/latest/employments/employment-template).
            job-positions.readonly: >-
              Read
              [job-positions](/api-reference/latest/employments/job-position).
            job-positions.readwrite: >-
              Create, update or delete
              [job-positions](/api-reference/latest/employments/job-position).
            probationary-periods.readonly: >-
              Read
              [probationary-periods](/api-reference/latest/employments/probationary-period).
            probationary-periods.readwrite: >-
              Create, update or delete
              [probationary-periods](/api-reference/latest/employments/probationary-period).
            occupation-categories.readonly: >-
              Read
              [occupation-categories](/api-reference/latest/employee-occupations/occupation-category).
            occupation-categories.readwrite: >-
              Create, update or delete
              [occupation-categories](/api-reference/latest/employee-occupations/occupation-category).
            job-qualifications.readonly: >-
              Read
              [job-qualifications](/api-reference/latest/employee-occupations/job-qualification)
              and
              [professions](/api-reference/latest/employee-occupations/profession).
            job-qualifications.readwrite: >-
              Create, update or delete
              [job-qualifications](/api-reference/latest/employee-occupations/job-qualification)
              and
              [professions](/api-reference/latest/employee-occupations/profession).
            taxonomies.readonly: >-
              Read [taxonomies](/api-reference/latest/taxonomies/taxonomy) and
              [taxonomy-labels](/api-reference/latest/taxonomies/taxonomy-label).
            taxonomies.readwrite: >-
              Create, update or delete
              [taxonomies](/api-reference/latest/taxonomies/taxonomy) and
              [taxonomy-labels](/api-reference/latest/taxonomies/taxonomy-label).
            webhook-endpoints.readonly: Read webhook-endpoints.
            webhook-endpoints.readwrite: Create and update webhook-endpoints.
            webhook-deliveries.readonly: Read webhook-deliveries.
            webhook-deliveries.readwrite: Send a ping event to a webhook-endpoint.
            working-time-arrangements.readonly: Read working-time-arrangements.
            files.readonly: Read files stored in Lucca.
            files.readwrite: Upload a file to Lucca.
          x-scope-metadata:
            legal-entities.readonly:
              criticality: low
              resources: '[legal-entity](./organization/legal-entity)'
            legal-entities.readwrite:
              criticality: medium
              resources: '[legal-entity](./organization/legal-entity)'
            business-establishments.readonly:
              criticality: low
              resources: '[business-establishment](./organization/business-establishment)'
            business-establishments.readwrite:
              criticality: medium
              resources: '[business-establishment](./organization/business-establishment)'
            departments.readonly:
              criticality: low
              resources: '[department](./organization/department)'
            departments.readwrite:
              criticality: medium
              resources: '[department](./organization/department)'
            employees.readonly:
              criticality: medium
              resources: '[employee](./employees/employee)'
            employees.readwrite:
              criticality: medium
              resources: '[employee](./employees/employee)'
            employee-attribute-definitions.readonly:
              criticality: low
              resources: >-
                [employee-attribute-definition](./employee-attributes/employee-attribute-definition)
            employee-attribute-definitions.readwrite:
              criticality: medium
              resources: >-
                [employee-attribute-definition](./employee-attributes/employee-attribute-definition)
            employee-attributes.readonly:
              criticality: medium
              resources: '[employee-attribute](./employee-attributes/employee-attribute)'
            employee-attributes.readwrite:
              criticality: medium
              resources: '[employee-attribute](./employee-attributes/employee-attribute)'
            employee-personal-records.readonly:
              criticality: high
              resources: '[employee-personal-record](./employees/employee-personal-record)'
            employee-personal-records.readwrite:
              criticality: high
              resources: '[employee-personal-record](./employees/employee-personal-record)'
            employments.readonly:
              criticality: medium
              resources: '[employment](./employments/employment)'
            employments.readwrite:
              criticality: medium
              resources: '[employment](./employments/employment)'
            employment-templates.readonly:
              criticality: medium
              resources: '[employment-template](./employments/employment-template)'
            employment-templates.readwrite:
              criticality: medium
              resources: '[employment-template](./employments/employment-template)'
            job-positions.readonly:
              criticality: low
              resources: '[job-position](./employments/job-position)'
            job-positions.readwrite:
              criticality: medium
              resources: '[job-position](./employments/job-position)'
            probationary-periods.readonly:
              criticality: medium
              resources: '[probationary-period](./employments/probationary-period)'
            probationary-periods.readwrite:
              criticality: medium
              resources: '[probationary-period](./employments/probationary-period)'
            occupation-categories.readonly:
              criticality: low
              resources: >-
                [occupation-category](./employee-occupation-categories/get-started)
            occupation-categories.readwrite:
              criticality: medium
              resources: >-
                [occupation-category](./employee-occupation-categories/get-started)
            job-qualifications.readonly:
              criticality: low
              resources: >-
                [job-qualification](./employee-job-qualifications/job-qualification)
                and [professions](./employee-job-qualifications/profession)
            job-qualifications.readwrite:
              criticality: medium
              resources: >-
                [job-qualification](./employee-job-qualifications/job-qualification)
                and [professions](./employee-job-qualifications/profession)
            taxonomies.readonly:
              criticality: low
              resources: >-
                [taxonomy](./taxonomies/taxonomy) &
                [taxonomy-label](./taxonomies/taxonomy-label)
            taxonomies.readwrite:
              criticality: medium
              resources: >-
                [taxonomy](./taxonomies/taxonomy) &
                [taxonomy-label](./taxonomies/taxonomy-label)
            webhook-endpoints.readonly:
              criticality: low
              resources: '[webhook-endpoint](./webhooks/webhook-endpoint)'
            webhook-endpoints.readwrite:
              criticality: medium
              resources: '[webhook-endpoint](./webhooks/webhook-endpoint)'
            webhook-deliveries.readonly:
              criticality: low
              resources: >-
                [webhook-delivery](./webhooks/webhook-delivery) &
                [webhook-delivery-attempt](./webhooks/webhook-delivery-attempt)
            webhook-deliveries.readwrite:
              criticality: medium
              resources: >-
                [webhook-delivery](./webhooks/webhook-delivery) &
                [webhook-delivery-attempt](./webhooks/webhook-delivery-attempt)
            working-time-arrangements.readonly:
              criticality: low
              resources: >-
                [working-time-arrangement](./working-time-arrangements/working-time-arrangement)
            files.readonly:
              criticality: medium
              resources: '[file](./files/file)'
            files.readwrite:
              criticality: medium
              resources: '[file](./files/file)'

````